
QGIS Application - Bug report #2504

Switching on "use selected" in Basic statistics tool crashes qgis/throws an error

2010-03-06 05:50 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12564

Description

1. Any layer, nothing is selected

2. Basic Stats tool, turn on "use selected"

Error:

http://gis-lab.info/images/screenshots/20100306-269-95kb.jpg

Associated revisions

Revision 59a24b81 - 2010-03-09 12:43 AM - cfarmer -

Fixes crash when 'use selected' checkbox is check but no features are selected. Fixes #2504.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13031 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision f60dda6b - 2010-03-09 12:43 AM - cfarmer -

Fixes crash when 'use selected' checkbox is check but no features are selected. Fixes #2504.

git-svn-id: http://svn.osgeo.org/qgis/trunk@13031 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-06 06:02 PM - Giovanni Manghi

Under linux (ubuntu 9.10, qgis trunk) is worst: qgis crashes. Tested with layers in the qgis sample dataset.

Warning: QObject::setParent: Cannot set parent, new parent is in a different thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread
Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

<unknown>: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0

#2 - 2010-03-08 03:46 PM - cfarmer -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:f60dda6b (SVN r13032). This error only occurred if the 'use selected' checkbox was checked and no features were actually selected. Now

if this occurs, the Basic Statistics tool shows an error message instead.

-Carson

Files

doVisual.py.diff 4.81 KB 2010-03-07 Alexander Bruy
